package com.hp.user.client.service;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.ElectricianVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.PageQuery;
import com.hp.user.client.entity.PageResult;
import com.hp.user.client.entity.Result;

public interface ElectricianService {
	
	/**
	 * 创建电工
	 * @param electricianVO 电工信息
	 * @return
	 */
	public Result createElectrician(ElectricianVO electricianVO);
	
	/**
	 * 查询电工
	 * @param query 查询条件
	 * @return
	 */
	public PageResult<ElectricianVO> queryElectrician(PageQuery query);
	
	/**
	 * 修改电工信息
	 * @param electricianVO
	 * @return
	 */
	public Result updateElectrician(ElectricianVO electricianVO);
	
	/**
	 * 根据id查询电工
	 * @param electricianId 电工id
	 * @return
	 */
	public DataResult<ElectricianVO> queryElectricianById(String electricianId);
	
	/**
	 * 批量修改电工状态
	 * @param electricianIds 电工id
	 * @param status 状态
	 * @return
	 */
	public Result updateStatusBatch(String[] electricianIds,Integer status);
	
	/**
	 * 删除电工
	 * @param electricianId 电工id
	 * @return
	 */
	public Result deleteElectricianById(String electricianId);

}
