package com.hp.user.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hp.user.client.entity.DictionariesVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.service.DictionariesService;
import com.hp.user.service.dao.DictionariesMapper;
import com.hp.user.service.entity.Dictionaries;

@Service
public class DictionariesServiceImpl implements DictionariesService{
	
	@Autowired
	private DictionariesMapper dictionariesMapper;

	@Override
	public ListResult<DictionariesVO> queryByType(Integer type) {
		ListResult<DictionariesVO> result = new ListResult<>();
		try {
			QueryWrapper<Dictionaries> queryWrapper = new QueryWrapper<Dictionaries>();
			queryWrapper.eq("type", type);
			List<Dictionaries> list = dictionariesMapper.selectList(queryWrapper);
			DictionariesVO dictionariesVO;
			List<DictionariesVO> newList = new ArrayList<>();
			for(Dictionaries dictionaries : list) {
				dictionariesVO = new DictionariesVO();
				BeanUtils.copyProperties(dictionaries, dictionariesVO);
				newList.add(dictionariesVO);
			}
			result.setDataList(newList);
		}catch(Exception e) {
			result.setCode("-1");
			result.setMessage("系统内部错误");
		}
		return result;
	}

}
